%define include_patented_variants 0

%if "%{?distro_section}" == "tainted"
%define include_patented_variants 1
%endif

Name:           fairymax
Version:        4.8
Release:        %mkrel 10
Summary:        A XBoard compatible chess and chess-variant engine
License:        BSD
Group:          Games/Boards
URL:            http://home.hccnet.nl/h.g.muller/CVfairy.html
Source0:        http://home.hccnet.nl/h.g.muller/%{name}.tar.gz

%if !%include_patented_variants
Patch0:         %{name}-%{version}-mga-remove-patented-chess-variants.patch
%endif

Patch1:         %{name}-%{version}-mga-add-ldflags-to-makefile.patch

%description
Fairy-Max is a program that plays chess and chess variants. It uses the
xboard/winboard chess-engine protocol to communicate.  Apart from 'regular'
chess (also known as the Mad-Queen variant), it can play Capablanca chess,
gothic chess, knightmate, cylinder chess, berolina chess, superchess,
makruk (Thai chess) and courier chess. Fairy-Max can be easily configured by
the user to play other variants as well, by modifying the ini file. This ini
file describes the rules of movement of the participating pieces and the
initial board setup.

ShaMax is a version of Fairy-Max adopted to play shatranj. It implements the
baring rule.

Fairy-Max can also play shatranj, but in this case is not aware of the shatranj
rule that a bare king loses. So it might play sub-optimally in the late
end-game.

ShaMax is a version of Fairy-Max adopted to play XianQi (Chinese Chess).

%if %include_patented_variants
Gothic Chess is protected by U.S. patent #6,481,716 by Ed Trice.
Falcon Chess is protected by U.S. patent #5,690,334 by George W. Duke
%endif

%prep
%setup -q -n Fairy-Max

%if !%include_patented_variants
%patch0 -p1 -b .patented
%endif

%patch1 -p1

%build
%set_build_flags
%make_build

%install
install -D -p -m 0755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -D -p -m 0755 maxqi %{buildroot}%{_gamesbindir}/maxqi
install -D -p -m 0755 shamax %{buildroot}%{_gamesbindir}/shamax

#data files
install -D -p -m 0755 data/fmax.ini %{buildroot}%{_gamesdatadir}/%{name}/fmax.ini
install -D -p -m 0755 data/qmax.ini %{buildroot}%{_gamesdatadir}/%{name}/qmax.ini

#man
install -D -p -m0644 %{name}.6.gz -D %{buildroot}%{_mandir}/man6/%{name}.6.gz

%files
%doc changelog copyright README
%{_gamesbindir}/*
%{_mandir}/man?/*
%{_gamesdatadir}/%{name}/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 4.8-10.mga9
+ Revision: 1791869
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 4.8-9.mga8.tainted
+ Revision: 1512131
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 4.8-8.mga7.tainted
+ Revision: 1297656
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Jan 28 2016 umeabot <umeabot> 4.8-7.mga6.tainted
+ Revision: 928490
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.8-6.mga5.tainted
+ Revision: 679082
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.8-5.mga4.tainted
+ Revision: 504248
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.8-4.mga3.tainted
+ Revision: 350041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 14 2011 kamil <kamil> 4.8-3.mga2.tainted
+ Revision: 181522
- include patch to use Mageia build-flags
- rename again the patch to remove patented chess-variants, to be more accurate with our policies

* Tue Dec 13 2011 kamil <kamil> 4.8-2.mga2.tainted
+ Revision: 181348
- rebuild against gcc 4.6.2
- rename the patch to remove patented chess variants for core
- polishing the .spec

* Wed Sep 21 2011 obgr_seneca <obgr_seneca> 4.8-1.mga2.tainted
+ Revision: 146296
- imported package fairymax


* Tue Sep 20 2011 Kamil Rytarowski <n54@gmx.com> 4.8-1
- initial package for Mageia
